﻿@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Interfaces
@inject ITenantProvider TernantProvider;
@{
    var tenant = TernantProvider.GetTenant();
    var result = int.TryParse(Context.Request.Cookies["cmslang"], out var lang);
    if (!result)
    {
        lang = (int)tenant.DefaultLanguage;
    }
    ViewData["MetaTitle"] = "Change Admin Password";
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Change Password</title>


    <!--begin::Fonts -->
    <script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.16/webfont.js"></script>
    <script>
        WebFont.load({
            google: {
                "families": ["Poppins:300,400,500,600,700", "Roboto:300,400,500,600,700"]
            },
            active: function () {
                sessionStorage.fonts = true;
            }
        });
    </script>
    <script>
        //popup noti
        var showErrorMsg = function (form, type, msg) {
            var alert = $(
                '<div class="kt-alert kt-alert--outline alert alert-' +
                type +
                ' alert-dismissible" role="alert">\
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close"></button>\
                            <span></span>\
                        </div>'
            );

            $(form).find(".alert").remove();
            alert.prependTo($(form));
            //alert.animateClass('fadeIn animated');
            //KTUtil.animateClass(alert[0], "fadeIn animated");
            alert.find("span").html(msg);

        };
        //end popup

        function updateadminpassword() {
            var form = $("#updateadminpassword");
            $("#loading").show();
            $.ajax({
                url: "/admin/account/UpdateAdminPassword",
                type: "POST",
                data: form.serialize(),
                success: function (response) {
                    $("#loading").hide();
                    if (response.status == "success") {
                        showErrorMsg(form, "success", response.message);
                        document.location.href = "/admin";
                    } else {
                        showErrorMsg(form, "danger", response.message);
                    }
                },
                error: function (er) {
                    $("#loading").hide();
                    showErrorMsg(form, "danger", response.message);
                }
            });
        }
    </script>
    <!--end::Fonts -->
    <link href="/adminstatics/live/css/main.min.css" rel="stylesheet" />
    <link rel="shortcut icon" href="/adminstatics/global/img/favicon.png" />
    <style>
        .back-btn,
        .update-btn {
            display: flex;
            justify-content: center;
            width: 50%;
        }

        .update-btn {
            margin-top: 0 !important;
        }
    </style>
</head>
<body class="kt-quick-panel--right kt-demo-panel--right kt-offcanvas-panel--right kt-header--fixed kt-header-mobile--fixed kt-subheader--enabled kt-subheader--fixed kt-subheader--solid kt-aside--enabled kt-aside--fixed">
    <!-- begin:: Page -->
    <div class="kt-grid kt-grid--ver kt-grid--root">
        <div class="kt-grid kt-grid--hor kt-grid--root  kt-login kt-login--v3 kt-login--signin" id="kt_login">
            <div class="kt-grid__item kt-grid__item--fluid kt-grid kt-grid--hor" style="background-image: url('/adminstatics/global/img/bg-3.jpg');">
                <div class="kt-grid__item kt-grid__item--fluid kt-login__wrapper">
                    <div class="kt-login__container">
                        <div class="kt-login__logo">
                            <a href="/admin">

                                <img src="/adminstatics/global/img/logowebnail.png" height="80" alt="click here to back admin dashboard !" />
                            </a>
                        </div>
                        <div class="kt-login__signin">
                            <div class="kt-login__head">
                                <h3 class="kt-login__title">@CoreStaticMessage.TitlePageView[lang]</h3>
                            </div>
                            <form class="kt-form" id="updateadminpassword" onsubmit="return false;updateadminpassword()">
                                    <div class="input-group">
                                        <input class="form-control" type="password" placeholder="@(CoreStaticMessage.CurrentPasswordView[lang])" name="password">
                                    </div>
                                    <div class="input-group">
                                        <input class="form-control" type="password" placeholder="@(CoreStaticMessage.NewPasswordView[lang])" name="newpassword">
                                    </div>
                                    <div class="input-group">
                                        <input class="form-control" type="password" placeholder="@(CoreStaticMessage.ConfirmPasswordView[lang])" name="confirmpassword">
                                    </div>
                                    <div style="display: flex; justify-content: center; margin-top: 7%; ">
                                        <div class="back-btn">
                                            <a href="/admin"><button id="" type="button" class="btn btn-brand btn-spotify">@(CoreStaticMessage.BackToDashBoard[lang])</button></a>
                                        </div>
                                        <div class="kt-login__actions update-btn">
                                            <button id="kt_change_password_admin_submit" type="submit" onclick="updateadminpassword()" class="btn btn-brand btn-elevate">@(CoreStaticMessage.Update[lang])</button>
                                        </div>
                                    </div>
                                </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- end:: Page -->
    <!-- begin::Global Config(global config for global JS sciprts) -->
    <!-- end::Global Config -->
    <script src="/adminstatics/global/plugins/jquery/jquery.min.js"></script>
    <script src="/adminstatics/global/plugins/popper.js/popper.min.js"></script>
    <script src="/adminstatics/global/plugins/bootstrap/js/bootstrap.min.js"></script>
    <!--begin::Global Theme Bundle(used by all pages) -->
</body>
</html>
